import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { IOption, IOptionClickEvent } from './settings/models';
import * as i0 from "@angular/core";
export declare class SelectItemComponent implements OnChanges {
    option: IOption;
    selected: boolean;
    disabled: boolean;
    visible: boolean;
    itemBg: string;
    color: string;
    itemSize: number | undefined;
    label: string | null;
    template?: TemplateRef<HTMLElement>;
    optionClick: EventEmitter<IOptionClickEvent>;
    height: string;
    visibility: string;
    caption: string;
    ngOnChanges(changes: SimpleChanges): void;
    onOptionClick($event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectItemComponent, "ngxd-select-item", never, { "option": "option"; "selected": "selected"; "disabled": "disabled"; "visible": "visible"; "itemBg": "itemBg"; "color": "color"; "itemSize": "itemSize"; "label": "label"; "template": "template"; }, { "optionClick": "optionClick"; }, never, never>;
}
//# sourceMappingURL=select-item.component.d.ts.map